Just for your information:

I'm using OpenSUSE 11.0 with KDE 3.5.9.
I installed libqt4 version 4.5.0.via Yast by adding the repo
download.opensuse.org/repositories/KDE%3a/Qt45/openSUSE_11.0.

After the installation has finished, when I started Yast again and choose "software", Yast crashes with the following message:

YaST got signal 11 at YCP file /usr/share/YaST2/clients/inst_packages.ycp:36
/sbin/yast2: line 421: 3545 Segmentation fault $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

I repaired this by using yast in textmode and changed the repo for the qt-libs back to:
download.opensuse.org/repositories/KDE%3a/Qt44/openSUSE_11.0.
Than I installed the former version of libqt4 (4.4.3).
Now I can use Yast in graphical mode again .